package nl.amis.android;

import android.content.Context;
import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;

public class MyLocation implements LocationListener {

	private Location mLocation;

	public MyLocation() {
		LocationManager mLocationManager = (LocationManager) SpeedTraps.mContext
				.getSystemService(Context.LOCATION_SERVICE);
		// Select a location provider (GPS, Network) based on criteria
		Criteria criteria = new Criteria();
		criteria.setAccuracy(Criteria.ACCURACY_FINE);
		criteria.setPowerRequirement(Criteria.POWER_LOW);
		String locationprovider = mLocationManager.getBestProvider(criteria,
				true);
		// Retrieve the location last saved for a given provider
		mLocation = mLocationManager.getLastKnownLocation(locationprovider);
		// Receive every 5 seconds notifications when the location has changed
		// more than 2 meters
		mLocationManager.requestLocationUpdates(locationprovider, 5000,
				(float) 2.0, this);
	}

	public Location getmLocation() {
		return mLocation;
	}

	@Override
	public void onLocationChanged(Location location) {
		// This location listener's method updates the location
		mLocation = location;
	}

	@Override
	public void onProviderDisabled(String provider) {

	}

	@Override
	public void onProviderEnabled(String provider) {

	}

	@Override
	public void onStatusChanged(String provider, int status, Bundle extras) {

	}

}
